#ifndef _PARAMS
#if defined(__STDC__) || defined(__cplusplus)
#define _PARAMS(ARGS) ARGS
#else
#define _PARAMS(ARGS) ()
#endif
#endif /* _PARAMS */
/*
 * Copyright (c) 1985 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 *
 *	@(#)memory.h	5.1 (Berkeley) 85/08/05
 */

/*
 * Definitions of the Sys5 compat memory manipulation routines
 */

extern char *memccpy _PARAMS((void *, const void *, int, __SIZE_TYPE__ ));
extern int memcmp _PARAMS((const void *, const void *, __SIZE_TYPE__ ));
#ifdef	__STRICT_BSD__
extern char *memchr();
extern char *memcpy();
extern char *memset();
#else
extern void *memchr _PARAMS((const void *, int, __SIZE_TYPE__ ));
extern void *memcpy _PARAMS((void *, const void *, __SIZE_TYPE__ ));
extern void *memset _PARAMS((void *, int, __SIZE_TYPE__ ));
#endif
